### Constructor

# Adw CallbackAnimationTarget new

#### Declaration [src]

    AdwAnimationTarget*
    adw_callback_animation_target_new (
      AdwAnimationTargetFunc callback,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Creates a new `AdwAnimationTarget` that calls the given `callback` during the animation.

Available since: | 1.0

#### Parameters

`callback` | `AdwAnimationTargetFunc`
| The callback to call.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to be passed to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`destroy` | `GDestroyNotify`
| The function to be called when the callback action is finalized.

#### Return value

Returns: | `AdwAnimationTarget`
| The newly created callback target.
| The caller of the function takes ownership of the data, and is responsible for freeing it.